---
title: Proxy-Authenticate
slug: Web/HTTP/Headers/Proxy-Authenticate
tags:
  - HTTP
  - HTTP Header
  - Proxy
  - Reference
  - Response Header
---
<div>{{HTTPSidebar}}</div>

<p>The HTTP <strong><code>Proxy-Authenticate</code></strong> response header defines the authentication method that should be used to gain access to a resource behind a {{Glossary("proxy server")}}. It authenticates the request to the proxy server, allowing it to transmit the request further.</p>

<p>The <code>Proxy-Authenticate</code> header is sent along with a {{HTTPStatus("407")}} <code>Proxy Authentication Required</code>.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Header type</th>
   <td>{{Glossary("Response header")}}</td>
  </tr>
  <tr>
   <th scope="row">{{Glossary("Forbidden header name")}}</th>
   <td>no</td>
  </tr>
 </tbody>
</table>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">Proxy-Authenticate: &lt;type&gt; realm=&lt;realm&gt;
</pre>

<h2 id="Directives">Directives</h2>

<dl>
 <dt>&lt;type&gt;</dt>
 <dd><a href="/en-US/docs/Web/HTTP/Authentication#Authentication_schemes">Authentication type</a>. A common type is <a href="/en-US/docs/Web/HTTP/Authentication#Basic_authentication_scheme">"Basic"</a>. IANA maintains a <a href="http://www.iana.org/assignments/http-authschemes/http-authschemes.xhtml">list of authentication schemes</a>.</dd>
 <dt>realm=&lt;realm&gt;</dt>
 <dd>A description of the protected area, the realm. If no realm is specified, clients often display a formatted host name instead.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<pre>Proxy-Authenticate: Basic

Proxy-Authenticate: Basic realm="Access to the internal site"
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Title</th>
  </tr>
  <tr>
   <td>{{RFC("7235", "Proxy-Authenticate", "4.3")}}</td>
   <td>HTTP/1.1: Authentication</td>
  </tr>
  <tr>
   <td>{{RFC("7617")}}</td>
   <td>The 'Basic' HTTP Authentication Scheme</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("http.headers.Proxy-Authenticate")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/HTTP/Authentication">HTTP authentication</a></li>
 <li>{{HTTPHeader("Authorization")}}</li>
 <li>{{HTTPHeader("Proxy-Authorization")}}</li>
 <li>{{HTTPHeader("WWW-Authenticate")}}</li>
 <li>{{HTTPStatus("401")}}, {{HTTPStatus("403")}}, {{HTTPStatus("407")}}</li>
</ul>
